# 画作破损修复系统 (Artwork Repair H5)

基于uni-app框架开发的画作破损修复H5应用，使用uView UI组件库构建界面。

## 项目特点

- 基于uni-app跨平台框架
- 使用uView UI组件库
- 支持画作破损修复功能
- 响应式设计，适配多种设备

## 技术栈

- uni-app
- Vue.js
- uView UI
- moment.js

## 项目结构

```
artwork-repair-h5/
├── components/        # 自定义组件
├── pages/            # 页面文件
│   ├── start/        # 启动页
│   ├── login/        # 登录页
│   └── repair/       # 修复功能页
├── static/           # 静态资源
├── store/            # Vuex状态管理
├── http/             # 网络请求
├── common/           # 公共资源
├── untils/          # 工具函数
└── uview-ui/         # uView UI组件库
```

## 主要功能

1. 用户认证
   - 登录/注册功能
   
2. 画作修复
   - 画作上传
   - 破损检测
   - 自动修复

## 开始使用

1. 安装依赖

```bash
npm install
```

2. 运行开发环境

```bash
# HBuilderX运行
使用HBuilderX导入项目，点击运行到浏览器

# 命令行运行
npm run dev:h5
```

3. 发布构建

```bash
npm run build:h5
```

## 注意事项

- 需要HBuilderX开发工具支持
- 确保Node.js环境已安装
- 建议使用Chrome浏览器进行开发调试

## 项目配置

主要配置文件：
- manifest.json - 应用配置
- pages.json - 页面路由
- uni.scss - 全局样式 